# DMMG

Data structure to easily manage multi-level non-linear solvers on grids managed by DM

### Synopsis

    typedef struct _p_DMMG *DMMG;

### See Also

VecPackCreate(), DA, VecPack, DM, DMMGCreate(), DMMGSetKSP(), DMMGSetSNES()

Level:intermediate
Location:src/dm/da/../../../include/petscda.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/examples/tutorials/ex22.c.html
src/ksp/examples/tutorials/ex25.c.html
src/ksp/examples/tutorials/ex28.c.html
src/ksp/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex23.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex25.c.html